<?php $__env->startSection('title', admin_lang('Complete')); ?>
<?php $__env->startSection('content'); ?>
    <div class="vironeer-steps-body">
        <p class="vironeer-form-info-text">
            <?php echo e(admin_lang('Enter your website and admin access details, make sure you remember the admin access path.')); ?>

        </p>
        <form id="completeForm" action="<?php echo e(route('install.complete')); ?>" method="POST">
            <?php echo csrf_field(); ?>
            <div class="mb-3">
                <label class="form-label"><?php echo e(admin_lang('Website name')); ?> : <span class="red">*</span></label>
                <div class="input-group">
                    <input type="text" name="website_name" value="<?php echo e(old('website_name')); ?>"
                        class="form-control form-control-md" placeholder="<?php echo e(admin_lang('Website name')); ?>" autocomplete="off"
                        required>
                    <span class="input-group-text"><i class="fas fa-globe"></i></span>
                </div>
            </div>
            <div class="mb-3">
                <label class="form-label"><?php echo e(admin_lang('Website URL')); ?> : <span class="red">*</span></label>
                <div class="input-group">
                    <input type="text" name="website_url" value="<?php echo e(old('website_url') ?? url('/')); ?>"
                        class="form-control form-control-md remove-spaces" placeholder="<?php echo e(admin_lang('Website URL')); ?>" required>
                    <span class="input-group-text"><i class="fas fa-link"></i></span>
                </div>
            </div>
            <div class="mb-3">
                <label class="form-label"><?php echo e(admin_lang('Admin panel access path')); ?> :
                    <span class="red">*</span>
                    <small class="text-muted">(<?php echo e(admin_lang('Letters and numbers only')); ?>)</small>
                </label>
                <div class="input-group">
                    <span class="input-group-text"><i class="fa fa-globe me-2"></i><?php echo e(url('/')); ?>/</span>
                    <input id="adminPath" type="text" name="admin_path" value="<?php echo e(old('admin_path') ?? 'admin'); ?>"
                        class="form-control form-control-md remove-spaces" placeholder="<?php echo e(admin_lang('admin')); ?>" required>
                </div>
            </div>
            <div class="mb-3">
                <label class="form-label"><?php echo e(admin_lang('Admin email')); ?> : <span class="red">*</span></label>
                <div class="input-group rtl">
                    <input type="email" name="email" value="<?php echo e(old('email')); ?>" class="form-control form-control-md"
                        placeholder="john@example.com" autocomplete="off" required>
                    <span class="input-group-text"><i class="fas fa-envelope"></i></span>
                </div>
            </div>
            <div class="mb-3">
                <label class="form-label"><?php echo e(admin_lang('Admin password')); ?> : <span class="red">*</span></label>
                <div class="input-group rtl">
                    <input type="password" name="password" class="form-control form-control-md"
                        placeholder="<?php echo e(admin_lang('Password')); ?>" autocomplete="off" required>
                    <span class="input-group-text"><i class="fa fa-lock"></i></span>
                </div>
            </div>
            <div class="mb-4">
                <label class="form-label"><?php echo e(admin_lang('Confirm admin password')); ?> : <span class="red">*</span></label>
                <div class="input-group rtl">
                    <input type="password" name="password_confirmation" class="form-control form-control-md"
                        placeholder="<?php echo e(admin_lang('Confirm password')); ?>" autocomplete="off" required>
                    <span class="input-group-text"><i class="fa fa-lock"></i></span>
                </div>
            </div>
        </form>
        <div class="d-flex justify-content-between align-items-center">
            <form action="<?php echo e(route('install.complete.back')); ?>" method="POST">
                <?php echo csrf_field(); ?>
                <button class="btn btn-dark btn-md"><i class="fas fa-arrow-left me-2"></i><?php echo e(admin_lang('Back')); ?></button>
            </form>
            <button form="completeForm" class="btn btn-primary btn-md"><?php echo e(admin_lang('Finish')); ?><i
                    class="fas fa-arrow-right ms-2"></i></button>
        </div>
    </div>
    <?php $__env->startPush('scripts'); ?>
        <script>
            $("#adminPath").on('input', function() {
                $(this).val($(this).val().replace(/[^a-zA-Z0-9 _]/g, ""));
            });
        </script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('vironeer::layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/vironeer/license/app/Providers/../../resources/views/complete.blade.php ENDPATH**/ ?>