<?php $__env->startSection('title', $SeoConfiguration->title ?? ''); ?>
<?php $__env->startSection('content'); ?>
    <?php echo ads_home_page_top(); ?>

    <header class="header">
        <div class="wrapper">
            <div class="container">
                <div class="wrapper-content">
                    <div class="wrapper-container">
                        <h1 class="title mb-3"><?php echo e(lang('AI Image Generator', 'home page')); ?></h1>
                        <p class="mb-0 text-muted">
                            <?php echo e(lang('Create stunning and unique images with ease using our AI image generation.', 'home page')); ?>

                        </p>
                        <?php if(subscription()): ?>
                            <?php if(subscription()->is_subscribed): ?>
                                <form id="generator" action="<?php echo e(route('images.generator')); ?>" method="POST">
                                    <div class="card-v mt-5">
                                        <div class="generator-search v2">
                                            <?php if($apiProvider): ?>
                                                <div class="row g-3">
                                                    <div class="col-lg-8">
                                                        <input type="text" name="prompt" class="form-control"
                                                            placeholder="<?php echo e(lang('What do you want to generate?', 'home page')); ?>"
                                                            value="<?php echo e(request('prompt') ?? ''); ?>" required />
                                                    </div>
                                                    <div class="col col-lg-2">
                                                        <button type="button" id="generator-options-btn"
                                                            class="btn btn-light px-4 w-100"><i
                                                                class="fa fa-cog me-1"></i><?php echo e(lang('Options', 'home page')); ?></button>
                                                    </div>
                                                    <div class="col col-lg-2">
                                                        <button id="generate-button" class="btn btn-primary px-4 w-100"><i
                                                                class="fa-solid fa-rotate me-2"></i><?php echo e(lang('Generate', 'home page')); ?></button>
                                                    </div>
                                                </div>
                                                <div class="generator-options d-none">
                                                    <div class="row g-3">
                                                        <?php if($apiProvider->supportNegativePrompt()): ?>
                                                            <div class="col-12">
                                                                <label
                                                                    class="form-label"><?php echo e(lang('Negative Prompt', 'home page')); ?></label>
                                                                <input type="text" name="negative_prompt"
                                                                    class="form-control"
                                                                    placeholder="<?php echo e(lang('What you want to avoid generating?', 'home page')); ?>" />
                                                            </div>
                                                        <?php endif; ?>
                                                        <?php if($apiProvider->hasModels()): ?>
                                                            <div class="col-12 col-lg-4">
                                                                <label
                                                                    class="form-label"><?php echo e(lang('Model', 'home page')); ?></label>
                                                                <select name="model" class="form-select w-100">
                                                                    <?php $__currentLoopData = $apiProvider->models; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $model): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <option value="<?php echo e($key); ?>">
                                                                            <?php echo e($model->name); ?>

                                                                        </option>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </select>
                                                            </div>
                                                        <?php endif; ?>
                                                        <?php if($apiProvider->hasStyles()): ?>
                                                            <div class="col-12 col-lg">
                                                                <label
                                                                    class="form-label"><?php echo e(lang('Style', 'home page')); ?></label>
                                                                <select name="style" class="form-select w-100">
                                                                    <?php $__currentLoopData = $apiProvider->styles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <option value="<?php echo e($key); ?>">
                                                                            <?php echo e($value); ?>

                                                                        </option>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </select>
                                                            </div>
                                                        <?php endif; ?>
                                                        <?php if(subscription()->plan->max_images > 1): ?>
                                                            <div class="col-12 col-lg">
                                                                <label class="form-label">
                                                                    <?php echo e(lang('Samples', 'home page')); ?></label>
                                                                <select name="samples" class="form-select w-100" required>
                                                                    <?php for($i = 1; $i <= subscription()->plan->max_images; $i++): ?>
                                                                        <option value="<?php echo e($i); ?>">
                                                                            <?php echo e($i); ?>

                                                                        </option>
                                                                    <?php endfor; ?>
                                                                </select>
                                                            </div>
                                                        <?php else: ?>
                                                            <input type="hidden" name="samples" value="1">
                                                        <?php endif; ?>
                                                        <div class="col-12 col-lg">
                                                            <label
                                                                class="form-label"><?php echo e(lang('Image Size', 'home page')); ?></label>
                                                            <select name="size" class="form-select w-100" required>
                                                                <?php $__currentLoopData = subscription()->plan->sizes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $size): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <option value="<?php echo e($size); ?>">
                                                                        <?php echo e($size); ?>

                                                                    </option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </select>
                                                        </div>
                                                        <?php if(auth()->user()): ?>
                                                            <div class="col-12 col-lg">
                                                                <label class="form-label">
                                                                    <?php echo e(lang('Visibility', 'home page')); ?></label>
                                                                <select name="visibility" class="form-select w-100"
                                                                    required>
                                                                    <option value="1">
                                                                        <?php echo e(lang('Public', 'home page')); ?></option>
                                                                    <option value="0">
                                                                        <?php echo e(lang('Private', 'home page')); ?></option>
                                                                </select>
                                                            </div>
                                                        <?php endif; ?>
                                                    </div>
                                                </div>
                                            <?php else: ?>
                                                <div class="alert alert-warning mb-0">
                                                    <?php echo e(lang('API provider not enabled', 'home page')); ?>

                                                </div>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </form>
                                <div class="processing d-none mt-5">
                                    <div class="spinner-border text-primary mb-3" role="status">
                                        <span class="visually-hidden"></span>
                                    </div>
                                    <h5 class="mb-0"><?php echo e(lang('Generating...', 'home page')); ?></h5>
                                </div>
                            <?php else: ?>
                                <div class="alert alert-warning mt-4">
                                    <i class="fa-regular fa-circle-question me-1"></i>
                                    <?php echo e(lang('You need to have an active subscription to start generating the images', 'home page')); ?>

                                </div>
                            <?php endif; ?>
                        <?php else: ?>
                            <a href="<?php echo e(route('login')); ?>"
                                class="btn btn-primary btn-lg mt-4"><?php echo e(lang('Start Generating', 'home page')); ?></a>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <?php echo ads_home_page_center(); ?>

    <?php if($generatedImages->count() > 0): ?>
        <div class="section pt-0">
            <div class="container">
                <div class="section-inner">
                    <div class="section-body">
                        <div id="generated-images"
                            class="row justify-content-center row-cols-1 row-cols-md-2 row-cols-lg-3 row-cols-xxl-4 g-3 d-none">
                        </div>
                        <div id="default-images"
                            class="row justify-content-center row-cols-1 row-cols-md-2 row-cols-lg-3 row-cols-xxl-4 g-3">
                            <?php $__currentLoopData = $generatedImages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $generatedImage): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="col" data-aos="zoom-in" data-aos-duration="1000">
                                    <div class="ai-image">
                                        <img class="lazy" data-src="<?php echo e($generatedImage->getThumbnailLink()); ?>"
                                            alt="<?php echo e($generatedImage->prompt); ?>" />
                                        <div class="spinner-border"></div>
                                        <div class="ai-image-hover">
                                            <p class="mb-0"><?php echo e($generatedImage->prompt); ?></p>
                                            <div class="row g-2 alig-items-center">
                                                <div class="col">
                                                    <a href="<?php echo e(route('images.show', hashid($generatedImage->id))); ?>"
                                                        class="btn btn-primary btn-md w-100"><?php echo e(lang('View Image')); ?></a>
                                                </div>
                                                <div class="col-auto">
                                                    <a href="<?php echo e(route('images.download', [hashid($generatedImage->id), $generatedImage->getMainImageName()])); ?>"
                                                        class="btn btn-light btn-md px-3"><i
                                                            class="fas fa-download"></i></a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                        <div id="viewAllImagesButton" class="d-flex justify-content-center mt-5">
                            <a href="<?php echo e(route('images.index')); ?>"
                                class="btn btn-primary-icon btn-lg"><?php echo e(lang('View All Generated Images', 'home page')); ?>

                                <i class="fas fa-arrow-right"></i></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php else: ?>
        <div class="section pt-0">
            <div class="container">
                <div class="section-inner">
                    <div class="section-body">
                        <div id="generated-images"
                            class="row justify-content-center row-cols-1 row-cols-md-2 row-cols-lg-3 row-cols-xxl-4 g-3 d-none">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <?php echo $__env->make('frontend.includes.faqs', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('frontend.includes.articles', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php $__env->startPush('styles_libs'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/libs/aos/aos.min.css')); ?>">
    <?php $__env->stopPush(); ?>
    <?php echo ads_home_page_bottom(); ?>

    <?php $__env->startPush('scripts_libs'); ?>
        <script src="<?php echo e(asset('assets/vendor/libs/aos/aos.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/vendor/libs/jquery/jquery.lazy.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/vendor/libs/clipboard/clipboard.min.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('frontend.layouts.front', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/frontend/home.blade.php ENDPATH**/ ?>