<?php $__env->startSection('title', admin_lang('Edit | ') . $gateway->name); ?>
<?php $__env->startSection('section', admin_lang('Settings')); ?>
<?php $__env->startSection('back', route('admin.settings.gateways.index')); ?>
<?php $__env->startSection('content'); ?>
    <form id="vironeer-submited-form" action="<?php echo e(route('admin.settings.gateways.update', $gateway->id)); ?>" method="POST"
        enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
        <div class="row g-3">
            <div class="col-lg-4">
                <div class="card">
                    <div class="card-body">
                        <div class="vironeer-file-preview-box bg-light mb-3 p-4 text-center">
                            <div class="file-preview-box mb-3">
                                <img id="filePreview" src="<?php echo e(asset($gateway->logo)); ?>" class="rounded-3" height="40">
                            </div>
                            <button id="selectFileBtn" type="button"
                                class="btn btn-secondary mb-2"><?php echo e(admin_lang('Choose logo')); ?></button>
                            <input id="selectedFileInput" type="file" name="logo"
                                accept="image/png, image/jpg, image/jpeg" hidden>
                            <small
                                class="text-muted d-block"><?php echo e(admin_lang('Allowed (PNG, JPG, JPEG) Size (300x100)')); ?></small>
                        </div>
                        <div class="row g-3 mb-2">
                            <div class="col-lg-12">
                                <label class="form-label"><?php echo e(admin_lang('Name')); ?> :<span class="red">*</span></label>
                                <input type="text" name="name" class="form-control" value="<?php echo e($gateway->name); ?>"
                                    required>
                            </div>
                            <div class="col-lg-12">
                                <label class="form-label"><?php echo e(admin_lang('Gateway fees')); ?> : <span
                                        class="red">*</span></label>
                                <div class="input-group">
                                    <input type="number" name="gateway_fees" class="form-control" placeholder="0"
                                        value="<?php echo e($gateway->fees); ?>">
                                    <span class="input-group-text"><i class="fas fa-percent"></i></span>
                                </div>
                            </div>
                            <div class="col-lg-12">
                                <label class="form-label"><?php echo e(admin_lang('Status')); ?> :</label>
                                <input id="gatewayStatus" type="checkbox" name="status" data-toggle="toggle"
                                    <?php if($gateway->status): ?> checked <?php endif; ?>>
                            </div>
                            <?php if(!is_null($gateway->test_mode)): ?>
                                <div class="col-lg-12">
                                    <label class="form-label"><?php echo e(admin_lang('Test Mode')); ?> :</label>
                                    <input type="checkbox" name="test_mode" data-toggle="toggle"
                                        data-on="<?php echo e(admin_lang('Enabled')); ?>" data-off="<?php echo e(admin_lang('Disabled')); ?>"
                                        <?php if($gateway->test_mode): ?> checked <?php endif; ?>>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-8">
                <div class="card">
                    <div class="card-header">
                        <i class="fa fa-key me-2"></i> <?php echo e($gateway->name . admin_lang(' Credentials')); ?>

                    </div>
                    <div id="credentials" class="card-body">
                        <div class="row g-3 pb-2">
                            <?php $__currentLoopData = $gateway->credentials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="col-lg-12">
                                    <label class="form-label capitalize"><?php echo e($gateway->name); ?>

                                        <?php echo e(str_replace('_', ' ', $key)); ?> :</label>
                                    <input type="text" name="credentials[<?php echo e($key); ?>]"
                                        value="<?php echo e(demoMode() ? '' : $value); ?>" class="form-control">
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php if($gateway->instructions): ?>
            <div class="card custom-card mt-4">
                <div class="card-header">
                    <i class="far fa-question-circle me-2"></i><?php echo e($gateway->name . admin_lang(' Instructions')); ?>

                </div>
                <div class="card-body">
                    <?php echo str_replace('[URL]', url('/'), $gateway->instructions); ?>

                </div>
            </div>
        <?php endif; ?>
    </form>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.form', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/backend/settings/gateways/edit.blade.php ENDPATH**/ ?>