<?php $__env->startSection('section', admin_lang('Settings')); ?>
<?php $__env->startSection('title', admin_lang('Storage Providers')); ?>
<?php $__env->startSection('container', 'container-max-lg'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card">
        <table id="datatable" class="table w-100">
            <thead>
                <tr>
                    <th class="tb-w-1x"><?php echo e(admin_lang('#')); ?></th>
                    <th class="tb-w-3x"><?php echo e(admin_lang('Logo')); ?></th>
                    <th class="tb-w-3x"><?php echo e(admin_lang('name')); ?></th>
                    <th class="tb-w-7x"><?php echo e(admin_lang('Status')); ?></th>
                    <th class="tb-w-7x"><?php echo e(admin_lang('Last Update')); ?></th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $storageProviders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $storageProvider): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr class="item">
                        <td><?php echo e($storageProvider->id); ?></td>
                        <td>
                            <?php if(!$storageProvider->isLocal()): ?>
                                <a href="<?php echo e(route('admin.settings.storage.edit', $storageProvider->id)); ?>">
                                    <img src="<?php echo e(asset($storageProvider->logo)); ?>" height="40px" width="40px">
                                </a>
                            <?php else: ?>
                                <img src="<?php echo e(asset($storageProvider->logo)); ?>" height="40px" width="40px">
                            <?php endif; ?>
                        </td>
                        <td>
                            <?php if(!$storageProvider->isLocal()): ?>
                                <a href="<?php echo e(route('admin.settings.storage.edit', $storageProvider->id)); ?>"
                                    class="text-dark">
                                    <?php echo e($storageProvider->name); ?>

                                    <?php echo e(env('FILESYSTEM_DRIVER') == $storageProvider->alias ? admin_lang('(Default)') : ''); ?>

                                </a>
                            <?php else: ?>
                                <span>
                                    <?php echo e($storageProvider->name); ?>

                                    <?php echo e(env('FILESYSTEM_DRIVER') == $storageProvider->alias ? admin_lang('(Default)') : ''); ?>

                                </span>
                            <?php endif; ?>
                        </td>
                        <td>
                            <?php if($storageProvider->status): ?>
                                <span class="badge bg-success"><?php echo e(admin_lang('Enabled')); ?></span>
                            <?php else: ?>
                                <span class="badge bg-danger"><?php echo e(admin_lang('Disabled')); ?></span>
                            <?php endif; ?>
                        </td>
                        <td><?php echo e(dateFormat($storageProvider->updated_at)); ?></td>
                        <td>
                            <div class="text-end">
                                <button type="button" class="btn btn-sm rounded-3" data-bs-toggle="dropdown"
                                    aria-expanded="true">
                                    <i class="fa fa-ellipsis-v fa-sm text-muted"></i>
                                </button>
                                <ul class="dropdown-menu dropdown-menu-sm-end" data-popper-placement="bottom-end">
                                    <?php if(!$storageProvider->isLocal()): ?>
                                        <li>
                                            <a class="dropdown-item"
                                                href="<?php echo e(route('admin.settings.storage.edit', $storageProvider->id)); ?>"><i
                                                    class="fa fa-edit me-2"></i><?php echo e(admin_lang('Edit')); ?></a>
                                        </li>
                                        <li>
                                            <hr class="dropdown-divider" />
                                        </li>
                                    <?php endif; ?>
                                    <li>
                                        <form action="<?php echo e(route('admin.settings.storage.default', $storageProvider->id)); ?>"
                                            method="POST">
                                            <?php echo csrf_field(); ?>
                                            <button class="vironeer-form-confirm dropdown-item"><i
                                                    class="fas fa-thumbtack me-2"></i><?php echo e(admin_lang('Set As Default')); ?></button>
                                        </form>
                                    </li>
                                </ul>
                            </div>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.grid', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/backend/settings/storage/index.blade.php ENDPATH**/ ?>