<?php if($settings->actions->faqs_status && $faqs->count() > 0): ?>
    <section id="faqs" class="section" data-aos="fade-up" data-aos-duration="1000">
        <div class="container">
            <div class="section-inner">
                <div class="section-header">
                    <h2 class="section-title"><?php echo e(lang('FAQs', 'home page')); ?>

                    </h2>
                    <p class="fw-light text-muted col-lg-7 mb-0">
                        Find answers to common questions about our AI image generator. Learn how to create stunning visuals, explore available features, troubleshoot common issues, and get tips on optimizing your image creations. Have more questions? We've got you covered!</p>
                </div>
                <div class="section-body">
                    <div class="faqs">
                        <div class="accordion-custom">
                            <div class="accordion" id="accordion">
                                <?php $__currentLoopData = $faqs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $faq): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="accordion-item">
                                        <h2 class="accordion-header" id="heading<?php echo e(hashid($faq->id)); ?>">
                                            <button class="accordion-button collapsed" type="button"
                                                data-bs-toggle="collapse"
                                                data-bs-target="#collapse<?php echo e(hashid($faq->id)); ?>" aria-expanded="false"
                                                aria-controls="flush-collapseOne">
                                                <?php echo e($faq->title); ?>

                                            </button>
                                        </h2>
                                        <div id="collapse<?php echo e(hashid($faq->id)); ?>" class="accordion-collapse collapse"
                                            aria-labelledby="heading<?php echo e(hashid($faq->id)); ?>" data-bs-parent="#accordion">
                                            <div class="accordion-body">
                                                <div class="mb-0">
                                                    <?php echo $faq->content; ?>

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        </div>
                    </div>
                    <div class="d-flex justify-content-center mt-5">
                        <a href="<?php echo e(route('faqs')); ?>"
                            class="btn btn-primary-icon btn-md"><?php echo e(lang('View More', 'home page')); ?>

                            <i class="fas fa-arrow-right"></i></a>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php endif; ?>
<?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/frontend/includes/faqs.blade.php ENDPATH**/ ?>