<?php $__env->startSection('title', admin_lang('System Information')); ?>
<?php $__env->startSection('container', 'container-max-lg'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card mb-4 custom-card">
        <div class="card-header bg-lg-1 text-white border-bottom-0"><i
                class="fas fa-folder me-2"></i><?php echo e(admin_lang('Application')); ?></div>
        <ul class="custom-list-group system list-group list-group-flush">
            <li class="list-group-item d-flex justify-content-between align-items-center">
                <strong><?php echo e(admin_lang('Name')); ?></strong>
                <span class="capitalize"><?php echo e(str_replace('_', ' ', $system->application->name)); ?></span>
            </li>
            <li class="list-group-item d-flex justify-content-between align-items-center bg-light">
                <strong><?php echo e(admin_lang('Version')); ?></strong>
                <span>v<?php echo e($system->application->version); ?></span>
            </li>
            <li class="list-group-item d-flex justify-content-between align-items-center ">
                <strong><?php echo e(admin_lang('Laravel Version')); ?></strong>
                <span>v<?php echo e($system->application->laravel); ?></span>
            </li>
            <li class="list-group-item d-flex justify-content-between align-items-center bg-light">
                <strong><?php echo e(admin_lang('Timezone')); ?></strong>
                <span class="capitalize"><?php echo e($system->application->timezone); ?></span>
            </li>
        </ul>
    </div>
    <div class="card custom-card mb-4">
        <div class="card-header bg-lg-5 text-white border-bottom-0"><i
                class="fas fa-server me-2"></i><?php echo e(admin_lang('Server Details')); ?></div>
        <ul class="custom-list-group system list-group list-group-flush">
            <li class="list-group-item d-flex justify-content-between align-items-center">
                <strong><?php echo e(admin_lang('Software')); ?></strong>
                <span><?php echo e($system->server->SERVER_SOFTWARE ?? '--'); ?></span>
            </li>
            <li class="list-group-item d-flex justify-content-between align-items-center bg-light">
                <strong><?php echo e(admin_lang('PHP Version')); ?></strong>
                <span>v<?php echo e($system->server->php ?? '--'); ?></span>
            </li>
            <li class="list-group-item d-flex justify-content-between align-items-center">
                <strong><?php echo e(admin_lang('IP Address')); ?></strong>
                <span><?php echo e($system->server->SERVER_ADDR ?? '--'); ?></span>
            </li>
            <li class="list-group-item d-flex justify-content-between align-items-center bg-light">
                <strong><?php echo e(admin_lang('Protocol')); ?></strong>
                <span><?php echo e($system->server->SERVER_PROTOCOL ?? '--'); ?></span>
            </li>
            <li class="list-group-item d-flex justify-content-between align-items-center">
                <strong><?php echo e(admin_lang('HTTP Host')); ?></strong>
                <span><?php echo e($system->server->HTTP_HOST ?? '--'); ?></span>
            </li>
            <li class="list-group-item d-flex justify-content-between align-items-center bg-light">
                <strong><?php echo e(admin_lang('Port')); ?></strong>
                <span><?php echo e($system->server->SERVER_PORT ?? '--'); ?></span>
            </li>
        </ul>
    </div>
    <div class="card custom-card">
        <div class="card-header bg-lg-14 text-white border-bottom-0"><i
                class="fas fa-database me-2"></i><?php echo e(admin_lang('System Cache')); ?></div>
        <ul class="custom-list-group system list-group list-group-flush">
            <li class="list-group-item">
                <i class="far fa-check-circle me-2 text-success"></i>
                <span><?php echo e(admin_lang('Compiled views will be cleared')); ?></span>
            </li>
            <li class="list-group-item">
                <i class="far fa-check-circle me-2 text-success"></i>
                <span><?php echo e(admin_lang('Application cache will be cleared')); ?></span>
            </li>
            <li class="list-group-item">
                <i class="far fa-check-circle me-2 text-success"></i>
                <span><?php echo e(admin_lang('Route cache will be cleared')); ?></span>
            </li>
            <li class="list-group-item">
                <i class="far fa-check-circle me-2 text-success"></i>
                <span><?php echo e(admin_lang('Configuration cache will be cleared')); ?></span>
            </li>
            <li class="list-group-item">
                <i class="far fa-check-circle me-2 text-success"></i>
                <span><?php echo e(admin_lang('All Other Caches will be cleared')); ?></span>
            </li>
            <li class="list-group-item">
                <i class="far fa-check-circle me-2 text-success"></i>
                <span><?php echo e(admin_lang('Error logs file will be cleared')); ?></span>
            </li>
            <li class="list-group-item p-0"></li>
        </ul>
        <div class="card-body">
            <form action="<?php echo e(route('admin.system.info.cache')); ?>" method="POST">
                <?php echo csrf_field(); ?>
                <button class="btn btn-danger btn-lg w-100 vironeer-form-confirm"><i
                        class="far fa-trash-alt me-2"></i><?php echo e(admin_lang('Clear System Cache')); ?></button>
            </form>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.application', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/backend/system/info.blade.php ENDPATH**/ ?>