<?php $__env->startSection('section', admin_lang('Settings')); ?>
<?php $__env->startSection('title', admin_lang('API Providers')); ?>
<?php $__env->startSection('content'); ?>
    <div class="card">
        <table class="table ask-datatable w-100">
            <thead>
                <tr>
                    <th class="tb-w-1x"><?php echo e(admin_lang('#')); ?></th>
                    <th class="tb-w-3x"><?php echo e(admin_lang('Logo')); ?></th>
                    <th class="tb-w-3x"><?php echo e(admin_lang('name')); ?></th>
                    <th class="tb-w-3x"><?php echo e(admin_lang('API Max Images')); ?></th>
                    <th class="tb-w-7x"><?php echo e(admin_lang('Status')); ?></th>
                    <th class="tb-w-7x"><?php echo e(admin_lang('Last Update')); ?></th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $apiProviders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $apiProvider): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr class="item">
                        <td><?php echo e($apiProvider->id); ?></td>
                        <td>
                            <a href="<?php echo e(route('admin.settings.api-providers.edit', $apiProvider->id)); ?>">
                                <img src="<?php echo e(asset($apiProvider->logo)); ?>" height="40px" width="40px">
                            </a>
                        </td>
                        <td>
                            <a href="<?php echo e(route('admin.settings.api-providers.edit', $apiProvider->id)); ?>" class="text-dark">
                                <?php echo e($apiProvider->name); ?>

                                <?php if($apiProvider->isDefault()): ?>
                                    <span class="badge bg-info ms-1"><?php echo e(admin_lang('Default')); ?></span>
                                <?php endif; ?>
                            </a>
                        </td>
                        <td><?php echo e($apiProvider->max); ?></td>
                        <td>
                            <?php if($apiProvider->status): ?>
                                <span class="badge bg-success"><?php echo e(admin_lang('Enabled')); ?></span>
                            <?php else: ?>
                                <span class="badge bg-danger"><?php echo e(admin_lang('Disabled')); ?></span>
                            <?php endif; ?>
                        </td>
                        <td><?php echo e(dateFormat($apiProvider->updated_at)); ?></td>
                        <td>
                            <div class="text-end">
                                <button type="button" class="btn btn-sm rounded-3" data-bs-toggle="dropdown"
                                    aria-expanded="true">
                                    <i class="fa fa-ellipsis-v fa-sm text-muted"></i>
                                </button>
                                <ul class="dropdown-menu dropdown-menu-sm-end" data-popper-placement="bottom-end">
                                    <li>
                                        <a class="dropdown-item"
                                            href="<?php echo e(route('admin.settings.api-providers.edit', $apiProvider->id)); ?>"><i
                                                class="fa fa-edit me-2"></i><?php echo e(admin_lang('Edit')); ?></a>
                                    </li>
                                    <?php if(!$apiProvider->isDefault()): ?>
                                        <li>
                                            <form
                                                action="<?php echo e(route('admin.settings.api-providers.default', $apiProvider->id)); ?>"
                                                method="POST">
                                                <?php echo csrf_field(); ?>
                                                <button class="vironeer-form-confirm dropdown-item">
                                                    <i class="fas fa-bookmark me-2"></i>
                                                    <?php echo e(admin_lang('Set as default')); ?>

                                                </button>
                                            </form>
                                        </li>
                                    <?php endif; ?>
                                </ul>
                            </div>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.grid', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/backend/settings/api-providers/index.blade.php ENDPATH**/ ?>