<?php $__env->startSection('title', admin_lang('Create Page')); ?>
<?php $__env->startSection('section', admin_lang('Settings')); ?>
<?php $__env->startSection('back', route('admin.settings.pages.index')); ?>
<?php $__env->startSection('content'); ?>
    <form id="vironeer-submited-form" action="<?php echo e(route('admin.settings.pages.store')); ?>" method="POST">
        <?php echo csrf_field(); ?>
        <div class="row">
            <div class="col-lg-8">
                <div class="card p-2 mb-3">
                    <div class="card-body">
                        <div class="mb-3">
                            <label class="form-label"><?php echo e(admin_lang('Page title')); ?> : <span class="red">*</span></label>
                            <input type="text" name="title" id="create_slug" class="form-control"
                                value="<?php echo e(old('title')); ?>" required autofocus />
                        </div>
                        <div class="mb-3">
                            <label class="form-label"><?php echo e(admin_lang('Slug')); ?> : <span class="red">*</span></label>
                            <div class="input-group vironeer-input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><?php echo e(url('/')); ?>/</span>
                                </div>
                                <input type="text" name="slug" id="show_slug" class="form-control"
                                    value="<?php echo e(old('slug')); ?>" required />
                            </div>
                        </div>
                        <div class="ckeditor-lg mb-3">
                            <label class="form-label"><?php echo e(admin_lang('Page content')); ?> : <span
                                    class="red">*</span></label>
                            <textarea name="content" rows="10" class="form-control ckeditor"><?php echo e(old('content')); ?></textarea>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="card">
                    <div class="card-body">
                        <div class="mb-3">
                            <label class="form-label"><?php echo e(admin_lang('Language')); ?> :<span class="red">*</span></label>
                            <select name="lang" class="form-select select2" required>
                                <option></option>
                                <?php $__currentLoopData = $adminLanguages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $adminLanguage): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($adminLanguage->code); ?>"
                                        <?php if(old('lang') == $adminLanguage->code): ?> selected <?php endif; ?>>
                                        <?php echo e($adminLanguage->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="mb-3">
                            <label class="form-label"><?php echo e(admin_lang('Short description')); ?> : <span
                                    class="red">*</span></label>
                            <textarea name="short_description" rows="6" class="form-control"
                                placeholder="<?php echo e(admin_lang('50 to 200 character at most')); ?>" required><?php echo e(old('short_description')); ?></textarea>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
    <?php $__env->startPush('top_scripts'); ?>
        <script>
            "use strict";
            let GET_SLUG_URL = "<?php echo e(route('admin.settings.pages.slug')); ?>";
        </script>
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('scripts_libs'); ?>
        <script src="<?php echo e(asset('assets/vendor/libs/ckeditor/ckeditor.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/vendor/libs/ckeditor/plugins/uploadAdapterPlugin.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.form', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/backend/settings/pages/create.blade.php ENDPATH**/ ?>