<?php $__env->startSection('title', admin_lang('Payment gateways')); ?>
<?php $__env->startSection('section', admin_lang('Settings')); ?>
<?php $__env->startSection('content'); ?>
    <div class="alert <?php echo e($gateways->count() > 0 ? 'alert-success' : 'alert-danger'); ?> ">
        <strong><?php echo e($gateways->count()); ?></strong>
        <span><?php echo e(admin_lang('Payment gateways supports your website currency')); ?></span>
        <strong><?php echo e($settings->currency->code); ?></strong>
        <span><?php echo e(admin_lang(',You can change your currency form')); ?></span>
        <a href="<?php echo e(route('admin.settings.general')); ?>"><?php echo e(admin_lang('general settings')); ?>.</a>
    </div>
    <div class="card custom-card">
        <table id="datatable" class="table w-100">
            <thead>
                <tr>
                    <th class="tb-w-1x"><?php echo e(admin_lang('#')); ?></th>
                    <th class="tb-w-3x"><?php echo e(admin_lang('name')); ?></th>
                    <th class="tb-w-7x"><?php echo e(admin_lang('Logo')); ?></th>
                    <th class="tb-w-7x"><?php echo e(admin_lang('Fees')); ?></th>
                    <th class="tb-w-7x"><?php echo e(admin_lang('Status')); ?></th>
                    <th class="tb-w-7x"><?php echo e(admin_lang('Last Update')); ?></th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $gateways; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $gateway): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr class="item">
                        <td><?php echo e($gateway->id); ?></td>
                        <td>
                            <a href="<?php echo e(route('admin.settings.gateways.edit', $gateway->id)); ?>" class="text-dark">
                                <?php echo e($gateway->name); ?>

                            </a>
                        </td>
                        <td>
                            <a href="<?php echo e(route('admin.settings.gateways.edit', $gateway->id)); ?>">
                                <img src="<?php echo e(asset($gateway->logo)); ?>" height="35" width="100">
                            </a>
                        </td>
                        <td><span class="badge bg-dark"><?php echo e($gateway->fees); ?>%</span></td>
                        <td>
                            <?php if($gateway->status): ?>
                                <span class="badge bg-success"><?php echo e(admin_lang('Active')); ?></span>
                            <?php else: ?>
                                <span class="badge bg-danger"><?php echo e(admin_lang('Disabled')); ?></span>
                            <?php endif; ?>
                        </td>
                        <td><?php echo e(dateFormat($gateway->updated_at)); ?></td>
                        <td>
                            <div class="text-end">
                                <button type="button" class="btn btn-sm rounded-3" data-bs-toggle="dropdown"
                                    aria-expanded="true">
                                    <i class="fa fa-ellipsis-v fa-sm text-muted"></i>
                                </button>
                                <ul class="dropdown-menu dropdown-menu-sm-end" data-popper-placement="bottom-end">
                                    <li>
                                        <a class="dropdown-item"
                                            href="<?php echo e(route('admin.settings.gateways.edit', $gateway->id)); ?>"><i
                                                class="fa fa-edit me-2"></i><?php echo e(admin_lang('Edit')); ?></a>
                                    </li>
                                </ul>
                            </div>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.grid', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/backend/settings/gateways/index.blade.php ENDPATH**/ ?>